Description: Allow compilation with gfortran 10
 In gfortran 10, mismatches between actual and dummy argument lists in
 a single file are now rejected with an error.  This is causing a
 compilation error for file src/optimal_interpolation.F90 (in the call
 to LAPACK's function dsyev), which makes the package fail to build.
 The problem is avoided by using the new option
 -fallow-argument-mismatch in FFLAGS.
Author: Rafael Laboissière <rafael@debian.org>
Bug-Debian: https://bugs.debian.org/957627
Forwarded: no
Last-Update: 2020-07-29

--- src/Makefile.in
+++ src/Makefile.in
@@ -10,6 +10,11 @@ ver = @ver@
 # of Octave.  How confusing.
 FFLAGS = @FFLAGS@
 
+# Allow compilation with gfortran 10
+ifeq ($(shell $$(@MKOCTFILE@ -p F77) -dumpversion | cut -f1 -d.),10)
+FFLAGS += -fallow-argument-mismatch
+endif
+
 OCTAVE = @OCTAVE@
 OCTAVE_VERSION = @OCTAVE_VERSION@
 MKOCTFILE = @MKOCTFILE@ -DHAVE_OCTAVE_$(ver) -v
